package com.xunmei.system.service;

import com.xunmei.system.api.domain.User;

import java.util.Set;

public interface IPermissionService {

    /**
     * 获取角色数据权限
     * @param user 用户
     * @return 数据权限集合
     */
    Set<String> getRolePermission(User user);

    /**
     * 获取菜单数据权限
     * @param user 用户
     * @return 菜单数据权限
     */
    Set<String> getMenuPermission(User user);
}
